<?php
/**
* @Copyright Copyright (C) 2010 dhtmlx.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

/**
 This file is part of dhtmlxScheduler for Joomla.

    dhtmlxScheduler for Joomla is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    dhtmlxScheduler for Joomla is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with dhtmlxScheduler for Joomla.  If not, see <http://www.gnu.org/licenses/>.
**/

defined ('_JEXEC') or die();
jimport( 'joomla.application.component.model' );
require_once(JPATH_ROOT.DS.'components'.DS.'com_scheduler'.DS.'codebase'.DS.'dhtmlxSchedulerConfigurator.php');

class SchedulerModelScheduler extends JModel {
	var $scheduler_log = false;
	var $scheduler_debug = false;

	function getScheduler() {
		$document = & JFactory::getDocument();
		$locale = substr($document->language,0 ,2);

		$table = 'scheduler_options';
		$tableEvents = 'events_rec';
		$fieldName = 'name';
		$fieldValue = 'value';

		$url = JURI::root().'components/com_scheduler/codebase/';
		$loader_url = JURI::root()."index.php?option=com_scheduler&view=scheduler&task=loadxml&scheduler_events=";

		$cfg = new JConfig;
		$host = $cfg->host;
		$user = $cfg->user;
		$pass = $cfg->password;
		$db = $cfg->db;
		$prefix = $cfg->dbprefix;
		$userIdField = 'id';
		$userLoginField = 'username';
		$tableUsers = 'users';

		$curuser =& JFactory::getUser();
		$usertype = $this->getUser();
		$userid = $curuser->id;

		$res=mysql_connect($host,$user,$pass);
		mysql_select_db($db);

		$cfg = new SchedulerConfig('scheduler_config_xml', $res, $table, $fieldName, $fieldValue, $tableEvents, $userIdField, $userLoginField, $tableUsers, $prefix, $userid, true);
		$scheduler = $cfg->schedulerInit($usertype, $locale, $url, $loader_url);
		return $scheduler;
	}


	function getUser() {
		$user =& JFactory::getUser();
		switch($user->usertype) {
			case '':
				$usertype = 'guest';
				break;
			case 'Super Administrator':
				$usertype = 'superadministrator';
				break;
			default:
				$usertype = strtolower($user->usertype);
			}
		if ($this->scheduler_log == true)
			error_log("SchedulerModelScheduler->getUser() was called\r\nresult = ".$usertype."\r\n\r\n", 3, JPATH_ROOT."/scheduler.log");
		return $usertype;
		}

}